diff --git a/sway/input/cursor.c b/sway/input/cursor.c
index 9d14c585af..4283e97b0e 100644
--- a/sway/input/cursor.c
+++ b/sway/input/cursor.c
@@ -474,8 +474,8 @@ static void handle_tablet_tool_position(struct sway_cursor *cursor,
 	double sx, sy;
 	struct wlr_surface *surface = NULL;
 	struct sway_seat *seat = cursor->seat;
-	node_at_coords(seat, cursor->cursor->x, cursor->cursor->y,
-		&surface, &sx, &sy);
+	struct sway_node *focused_node = node_at_coords(seat, cursor->cursor->x,
+		cursor->cursor->y, &surface, &sx, &sy);
 	struct sway_tablet_tool *sway_tool = tool->data;
 
 	if (!surface || !wlr_surface_accepts_tablet_v2(tablet->tablet_v2, surface)) {
@@ -487,6 +487,10 @@ static void handle_tablet_tool_position(struct sway_cursor *cursor,
 	wlr_tablet_v2_tablet_tool_notify_proximity_in(sway_tool->tablet_v2_tool,
 		tablet->tablet_v2, surface);
 
+	if (focused_node && config->focus_follows_mouse != FOLLOWS_NO) {
+		seat_set_focus(seat, focused_node);
+	}
+
 	wlr_tablet_v2_tablet_tool_notify_motion(sway_tool->tablet_v2_tool, sx, sy);
 }
 
